Name:     recordmydesktop-gui
Version:  0.1.8
Release:  %mkrel 1

Summary: RecordMydesktop Gui
Group:   Video
License: WTFPL 
URL:     http://www.pclinuxos.com/
Source: %{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot 
BuildArch: noarch
BuildRequires: desktop-file-utils
Requires: python3 
Requires: libnotify
Requires: python3-gobject3
Requires: recordmydesktop
Requires: xapps
Requires: yad
Requires: python3-xapps-overrides
Requires: pipewire
Requires: python3-pystray

%description
Graphical frontend for recordmydesktop

%prep
%setup -q 

%build

%make 


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
    --add-category="X-MandrivaLinux-Multimedia-Video;" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/recordmydesktop.desktop

chmod a+x %buildroot%{_datadir}/applications/recordmydesktop.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus


%postun
%clean_menus



%files 
%defattr(-,root,root,-)
%doc AUTHORS README COPYING
%{_bindir}/rmd-gui
%{_bindir}/rmd-info.py
%{_datadir}/recordmydesktop
%{_datadir}/icons/hicolor/48x48/apps/rmd.png
%_datadir/applications/recordmydesktop.desktop


%changelog

* Sun Apr 21 2024 Ken <lxgator at gmail.com> 0.1.8-1pclos2024
- Added new features
- fixed pause/play



